package com.mvc.iot.onenet.model;

import java.io.Serializable;

/**
 * 数据流-数据点(dataPoints)
 */
public class OneNetDataPointsModel implements Serializable {
    private String datastreamId;
    private String deviceId;
    private String deviceName;
    private String imei;
    private String productId;
    private Long time;
    private OneNetDataPointsValueModel value;

    public String getDatastreamId() {
        return datastreamId;
    }

    public void setDatastreamId(String datastreamId) {
        this.datastreamId = datastreamId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getImei() {
        return imei;
    }

    public void setImei(String imei) {
        this.imei = imei;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

    public OneNetDataPointsValueModel getValue() {
        return value;
    }

    public void setValue(OneNetDataPointsValueModel value) {
        this.value = value;
    }
}
